12.10: pysvn import error: _pysvn_2_7.so: undefined symbol: svn_sort_compare_items_as_paths

Bug #1045021 reported by bar on 2012-09-02
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
W3af
New
Undecided
Unassigned
pysvn (Ubuntu)
High
Brian Murray

Bug Description

./w3af_gui
Your python installation needs the following packages:
    pysvn

On debian based systems:
    sudo apt-get install python-svn

Additional information:
    It looks like your pysvn library installation is broken
    (are you using BT4 R2?). The error we get when importing
    the pysvn library is "pysvn was built against newer (svn, apr, etc.) libraries then the ones installed on this system. /usr/lib/python2.7/dist-packages/pysvn/_pysvn_2_7.so: undefined symbol: svn_sort_compare_items_as_paths".

    This is a BackTrack issue (works with Ubuntu 8.04 and 10.10)
    that was fixed by them in their devel repositories, in order to
    enable them you need to follow these steps:
        1. vim /etc/apt/sources.list
        2. Un-comment the BackTrack Devel Repository line (deb http://archive.offensive-security.com/repotest/ ./) 3. apt-get update && apt-get dist-upgrade

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: python-svn 1.7.6-0.1
ProcVersionSignature: Ubuntu 3.5.0-13.14-generic 3.5.3
Uname: Linux 3.5.0-13-generic x86_64
ApportVersion: 2.5.1-0ubuntu4
Architecture: amd64
Date: Sun Sep 2 18:58:51 2012
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64 (20120218)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: pysvn
UpgradeStatus: Upgraded to quantal on 2012-09-02 (0 days ago)

bar (barhofesh) wrote :
Jason Conti (jconti) wrote :

Definitely a pysvn bug:

Python 2.7.3 (default, Aug 28 2012, 08:44:13)
[GCC 4.7.1 20120814 (prerelease)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import pysvn
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.7/dist-packages/pysvn/__init__.py", line 109, in <module>
    raise ImportError( 'pysvn was built against newer (svn, apr, etc.) libraries then the ones installed on this system. %s' % str(e) )
ImportError: pysvn was built against newer (svn, apr, etc.) libraries then the ones installed on this system. /usr/lib/python2.7/dist-packages/pysvn/_pysvn_2_7.so: undefined symbol: svn_sort_compare_items_as_paths
>>>

Looks like there were changes to Source/setup_configure.py between 1.7.5 and 1.7.6, and now the -llibrary arguments are in the wrong position when linking. Attaching a debdiff to fix the build. Should probably be forwarded upstream.

Changed in pysvn (Ubuntu):
status: New → Confirmed
summary: - After upgrading to 12.10 w3af wont load because of pysvn problem
+ 12.10: pysvn import error: _pysvn_2_7.so: undefined symbol:
+ svn_sort_compare_items_as_paths

The attachment "pysvn_fix_ld_shared.debdiff" of this bug report has been identified as being a patch in the form of a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-sponsors team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
Brian Murray (brian-murray) wrote :

I'm working on building and testing this now. Thanks for your patch and forwarding it upstream.

Changed in pysvn (Ubuntu):
status: Confirmed → In Progress
assignee: nobody → Brian Murray (brian-murray)
importance: Undecided → High
Brian Murray (brian-murray) wrote :

I added in a link to the upstream bug to the patch and the fact that it was forwarded too.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pysvn - 1.7.6-0.1ubuntu1

---------------
pysvn (1.7.6-0.1ubuntu1) quantal; urgency=low

  * debian/patches/02-fix-ld-shared.patch:
    - Fix linking with -lsvn* (LP: #1045021)
 -- Jason Conti <email address hidden> Sun, 02 Sep 2012 14:38:34 -0400

Changed in pysvn (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.